# Lomiri Content Hub

## What is Lomiri Content Hub?

What is Lomiri Content Hub is a mediation service to let applications share content between
them even if they are not running at the same time.

For a more detailed description, please have a look at:
doc/Mainpage.md


## How do I get all building dependencies?

Build dependencies are already listed in the debian/control file. To get them
use the following command:
sudo apt-get build-dep lomiri-content-hub


## How do I compile the code?

To compile the code run the following command from the branch directory:

```
mkdir build
cd build
cmake ..
make
```

## How do I run the test cases?

To run the test cases use the following command:

```
cd build/tests
dbus-test-runner -t make -p test
```

## How do I build the packages?

To build the pacakges run the following command:

```
debuild -uc -us
```

## How do I install the code?

One way to do it one the code is compiled is:

```
make install
```

However, the recommended way to do it is by installing the packages built
manually.

## i18n: Translating Content Hub into your Language

You can easily contribute to the localization of this project (i.e. the
translation into your language) by visiting (and signing up with) the
Hosted Weblate service:
https://hosted.weblate.org/projects/lomiri/lomiri-content-hub

The localization platform of this project is sponsored by Hosted Weblate
via their free hosting plan for Libre and Open Source Projects.
